# -*- coding: utf-8 -*-
"""
Created on Wed Dec  4 12:36:30 2024

@author: mstep
"""

# See https://python-docx.readthedocs.io/en/latest/
# pip install python-docx

def make_word_doc(filename, title, paragraphs):
    from docx import Document

    document = Document()

    # Add a level 0 title.
    document.add_heading(title, level=0)

    # Add some paragaphs.
    for paragraph in paragraphs:
        document.add_paragraph(paragraph)

    document.save(filename)

def replace_in_word_doc(in_filename, out_filename, replacements):
    from docx import Document

    document = Document(in_filename)

    for paragraph in document.paragraphs:
        for replacement in replacements:
            paragraph.text = paragraph.text.replace(
                replacement[0],
                replacement[1])

    document.save(out_filename)

def show_word_doc(filename):
    from docx import Document

    document = Document(filename)
    
    for paragraph in document.paragraphs:
        print(paragraph.text)

# Main program.
# Make a document.
paragraphs = [
    'This is paragraph one in the initial document.',
    'This is paragraph two. It has two sentences!',
    'This is the third paragraph in the initial document.',
    'This is the fourth and last paragraph.',
]
make_word_doc('initial_file.docx', 'Initial File', paragraphs)

# Replace "initial" with "modified."
replacements = (
    ('Initial', 'Modified'),
    ('initial', 'modified'),
)
replace_in_word_doc('initial_file.docx', 'modified_file.docx', replacements)

# Display the resulting file.
show_word_doc('modified_file.docx')
